Skip to main content
GET
/
api
/
v1
/
lightning
/
receives
/
{identifier}
Get receive status
curl --request GET \
  --url https://api.example.com/api/v1/lightning/receives/{identifier}
{
  "amount_sat": 1,
  "htlc_vtxos": [
    {
      "amount_sat": 1,
      "chain_anchor": "<string>",
      "exit_delta": 1,
      "exit_depth": 1,
      "expiry_height": 1,
      "id": "<string>",
      "policy_type": "<string>",
      "server_pubkey": "<string>",
      "user_pubkey": "<string>",
      "state": {
        "type": "spendable"
      }
    }
  ],
  "invoice": "<string>",
  "payment_hash": "<string>",
  "payment_preimage": "<string>",
  "finished_at": "2023-11-07T05:31:56Z",
  "preimage_revealed_at": "2023-11-07T05:31:56Z"
}

Path Parameters

identifier
string
required

Payment hash, invoice string or preimage to search for

Response

Returns the Lightning receive status

amount_sat
integer<int64>
required

The amount of the lightning receive

Required range: x >= 0
htlc_vtxos
object[]
required

The HTLC VTXOs granted by the server for the lightning receive

Empty if the lightning HTLC has not yet been received by the server.

invoice
string
required

The invoice string

payment_hash
string
required

The payment hash linked to the lightning receive info

payment_preimage
string
required

The payment preimage linked to the lightning receive info

finished_at
string<date-time> | null

The timestamp at which the lightning receive was finished

preimage_revealed_at
string<date-time> | null

The timestamp at which the preimage was revealed